> ## Documentation Index
> Fetch the complete documentation index at: https://developer.lexful.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload Organization Logo

> Create presigned URL for uploading organization logo



## OpenAPI

````yaml /api/openapi.yaml post /v1/organizations/{organizationId}/image_upload
openapi: 3.0.3
info:
  title: Documentation Service API
  description: API documentation for Documentation Service
  version: 1.0.0
servers:
  - url: https://api.us.lexful.app
    description: US pod
security:
  - bearerAuth: []
    accountId: []
paths:
  /v1/organizations/{organizationId}/image_upload:
    post:
      tags:
        - Organizations
      summary: Upload Organization Logo
      description: Create presigned URL for uploading organization logo
      parameters:
        - schema:
            type: string
            format: uuid
          in: path
          name: organizationId
          required: true
          description: Organization ID
      requestBody:
        $ref: >-
          #/components/requestBodies/post_v1_organizations__organizationId__image_upload_request
      responses:
        '200':
          $ref: '#/components/responses/UploadOrganizationLogoResponse'
        '400':
          $ref: '#/components/responses/BadRequestResponse'
        '403':
          $ref: '#/components/responses/ForbiddenResponse'
        '404':
          $ref: '#/components/responses/NotFoundResponse'
        '500':
          $ref: '#/components/responses/InternalServerErrorResponse'
components:
  requestBodies:
    post_v1_organizations__organizationId__image_upload_request:
      required: true
      content:
        application/json:
          schema:
            $ref: >-
              #/components/schemas/post_v1_organizations__organizationId__image_upload_request_application_json
  responses:
    UploadOrganizationLogoResponse:
      description: Default Response
      content:
        application/json:
          schema:
            $ref: >-
              #/components/schemas/UploadOrganizationLogoResponse_application_json
    BadRequestResponse:
      description: Bad request - validation error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    ForbiddenResponse:
      description: Forbidden - insufficient permissions
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    NotFoundResponse:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    InternalServerErrorResponse:
      description: Internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  schemas:
    post_v1_organizations__organizationId__image_upload_request_application_json:
      type: object
      properties:
        original_name:
          type: string
          description: Original filename
        file_extension:
          type: string
          description: File extension (e.g., jpg, png)
        mime_type:
          type: string
          description: MIME type (e.g., image/jpeg)
        size:
          type: number
          description: File size in bytes
      required:
        - original_name
        - file_extension
        - mime_type
        - size
    UploadOrganizationLogoResponse_application_json:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: File ID
        upload_url:
          type: string
          format: uri
          description: Presigned upload URL
    ErrorResponse:
      description: Bad request - validation error
      type: object
      properties:
        status:
          type: number
          description: HTTP status code
        message:
          type: string
          description: Error message
        error_id:
          type: string
          description: Unique error identifier
        error_code:
          type: string
          description: Error code
        developer_message:
          type: string
          description: Additional details for developers
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token
    accountId:
      type: apiKey
      in: header
      name: X-Account-ID
      description: Account ID

````